Skip to main content
POST
Approve an application's pipeline definition

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

The application whose connected repository's pipeline is addressed.

Body

application/json
definition_id
string<uuid>
required

The definition whose protected sections are approved.

Response

The approval as recorded.

definition_id
string<uuid>
required
protected_hash
string
required
protected_approved_by
string
required

Ankra user id of the approver.

protected_approved_at
string<date-time> | null
required